Paquet deb pour installer facilement Firefox 2.0 RC 1 dans Ubuntu !

Le paquet pour installer facilement Firefox 2.0 RC 1 dans Ubuntu Breezy et Ubuntu Dapper est enfin disponible ;-)

Je vous invite à le télécharger via ce lien :

  • firefox-asher-unstable_2.0rc1-0ubuntu1_i386.deb (une nouvelle version est disponible ici)

Les avantages du paquet:

  • L'installation et la désinstallation sont très faciles ;
  • contient la version en langue française du logiciel ;
  • ajoute une icône dans le menu ;
  • peut cohabiter avec les autres versions de Firefox (comme le Firefox officiel d'Ubuntu ou Firefox-asher).

NB: Ce paquet va être mis dans le dépôt prochainement, quand la release sera publiée.



Quelles sont les nouveautés de cette version ?

  • Amélioration de la stabilité et de la performance ;
  • Amélioration de certains détails dans l'interface graphique ;
  • Blacklisting des extensions ;
  • Une option Anti-Phishing ;
  • Croix de fermeture dans chaque onglet ;
  • Sauvegarde des onglets ouverts (fonction similaire à celle disponible dans l'extension Tab Mix Plus. Utile lors d'un crash!) ;
  • On peut facilement ajouter, retirer ou changer l'ordre des moteurs de recherche (dans la SearchBox) ;
  • Complétion automatique dans le champ de recherche ;
  • Correcteur orthographique intégré ;
  • Amélioration de la gestion des fils de syndication, avec une feuille de style au lieu de l'affichage du XML brut ;
  • Possibilité de choisir son agrégateur (comme avec l'extension LiveLines) ;
  • MicroSummaries, un méchanisme permettant d'avoir des marques-pages dont l'intitulé est dynamique.

Vous pouvez découvrir toutes les nouveautés ici.

Commentaires

1. Le dimanche, octobre 1 2006, 01:02 par antistress

spa trop tôt ;-)

merci m'sieur

2. Le dimanche, octobre 1 2006, 01:02 par versgui

Merci bien :)

3. Le dimanche, octobre 1 2006, 01:05 par antistress

petit détail : dans le menu il s'appelle Beta et non RC1

4. Le dimanche, octobre 1 2006, 01:22 par Asher256

@versgui: ;-)

@antistress: Merci pour ce petit détail :-) Je vais modifier l'entrée dans le menu, et ré-uploader le paquet.

5. Le dimanche, octobre 1 2006, 12:26 par racoon97

Hmm, j'espère sincèrement que cette croix de fermeture des onglets sera désactivable, rassurez-moi... Car c'est vraiment très pratique de pouvoir fermet un tas d'onglets sans déplacer nécessairement la souris, ce qui est le cas avec l'actuel version sous Ubuntu.

6. Le dimanche, octobre 1 2006, 12:56 par Asher256

Salut Racoon97,

Personnellement, je trouve cette nouvelle fonctionnalité intéressante. Cela permet, par exemple, de fermer les onglets qui ne sont pas actifs aisément. Ceci dit, je pense comme toi qu'il serait préférable que l'utilisateur ait la possibilité de l'activer ou non ;-)

En attendant que cela se fasse (peut-être ?), je te propose d'utiliser le raccourci clavier CTRL-W. C'est ce que j'ai toujours utilisé pour fermer successivement plusieurs onglets. Je trouve cette méthode beaucoup plus rapide que les cliques successifs, dans la croix à droite du précédent Firefox.

a+

7. Le dimanche, octobre 1 2006, 21:44 par VBMan

Pour vos infos il est possible de fermer un onglet en utilisant le 3éme bouton de la souris qui se trouve entre les bouton gauche et droite et intégré à la roulette de la souris (si vous avez une souris 3 boutons avec roulette).

8. Le dimanche, octobre 1 2006, 22:00 par VBMan

J'ai oublié !
Il est possible d'ouvrir un lien dans un nouvel onglet avec le même bouton.

9. Le dimanche, octobre 1 2006, 23:21 par antsitress

je n'ai trouvé le nouveau thème tangerine 0.5 pour firefox 2.0 qui sera dans Edgy pour installer sous Dapper.
Il y a bien ce lien mais le paquet mentionne une erreur de dépendance : Firefox!
packages.ubuntu.com/cgi-b...

10. Le lundi, octobre 2 2006, 00:09 par antistress

pour les différences de thèmes dans tes paquets beta2 (beau) et RC1 (pas beau) il semble que la beta2 que tu proposais avait le thème Mac Pinstripe kmgerich.com/2006/09/27/p... alors que la RC1 a le thème Windows

11. Le lundi, octobre 2 2006, 17:23 par thib

SLt,

j'ai essayé d'installer le .deb avec dpkg -i mais il me dit qu'il me manque le fichier "Le paquet libstdc++5 n'est pas installé", donc ca s'arrete et depuis lors, je ne peux plus rien installer via apt-get, il me dit toujours que
"firefox-asher-unstable: Dépend: libstdc++5 (>= 1:3.3.4-1) mais ne sera pas installé"

comment reparer ceci?

thx

12. Le lundi, octobre 2 2006, 19:06 par Asher256

Salut Thib,

Déjà, pour résoudre ton souci de dépendances, je t'invite à télécharger le paquet libstdc++5 dans cette page archive.ubuntu.com/ubuntu...

Après cela, essaye d'installer tous les dépôts importants d'Ubuntu, en lisant la page doc.ubuntu-fr.org/applica... dans le wiki d'Ubuntu-fr.

a+

13. Le lundi, octobre 2 2006, 22:31 par Thib

Slt,

en fait je suis pas sous Ubuntu mais sous debian dans une Vmware.

Pour mon probleme que apt-get marche pas a cause du paquet firefox-asher de casser, comment je fais pour l'enlever? (le dpkg -r ne marche pas)

++

14. Le lundi, octobre 2 2006, 23:32 par Asher256

Salut Thib,

Qu'est ce que dpkg ou apt-get t'affichent, que tu souhaites désinstaller Firefox-asher ?

15. Le mardi, octobre 10 2006, 12:57 par antistress

Asher256, quelle st la bonne version de Firefox pour Ubuntu :
ton paquet contient Firefox avec l'interface de Windows, et celui du dépôt AppleCrow acorbeaux.free.fr/index.p... contient Firefxo avec l'interface Mac semble t-il (que je préfère nettement)
Sait on lequel est la version Linux ?
(voir mon commentaire n° 10)

16. Le mardi, octobre 10 2006, 17:45 par antistress

celui du dépôt d'applecrow c'est la beta2 et non la rc2 en fait, il semble donc que le thème de la beta2 ait été abandonné au profit de la celui de la rc1 (je n'ai pas testé la rc2)

17. Le lundi, octobre 16 2006, 12:30 par Francois

J'ai installé le nouveau firefox beta mais voulant le désinstaller (pour extensions non compatibles...), de nombreux liens cliquables auparavant dans d'autres applications ne fonctionnent plus et réclament le firefox-ahser-unstable. Notamment Thunderbird, ce qui est gênant.
J'ai peur, si je fais un dpkg -r --purge, de perdre aussi ma config firefox.
Une idée pour rétablir celà ?
Merci.

18. Le lundi, octobre 16 2006, 15:20 par Asher256

Salut Francois,

Comme firefox-asher-unstable déclare au gestionnaire de paquets qu'il est un navigateur web (Provides: www-browser), il se pourrait que tu aies supprimé tous les navigateurs, et que Firefox-asher-unstable soit le dernier, donc indispensables pour tous les programmes qui en dépendent...

Essaye d'installer un autre navigateur (epiphany, firefox, galeon, mozilla, konqueror, etc.) avant de supprimer firefox-asher-unstable.

Informe nous de tes avancements ;-)

a+

19. Le mardi, octobre 17 2006, 10:46 par LostInBrittany

Et pour quand le paquet pour la rc3 ? :)

En tout cas, encore une fois, merci pour tes efforts!

20. Le mercredi, octobre 18 2006, 21:46 par Francois

J'ai trouvé. En fait il faut modifier le navigateur par défaut dans ubuntu Breazy :

Système -> Préférences -> Applications préférées.
Et changer le Navigateur web par défaut en Firefox (le firefox-asher-unstable étant resté dans les paramètres).
J'ais aussi trouvé une autre option plus "tordue" dans les paramètres de Thunderbird qui définit par défaut le navigateur à lancer (avec le chemin codé en dur dans l'option).
Dans le about:config de thunderbird
ajouter une chaîne : network.protocol-handler.app.http
et lui attribuer la valeur de l'exécutable : /usr/lib/firefox/firefox
Mais la solution précédente est plus simple et plus sûre.


Si ça peut aider quelqu'un.

21. Le samedi, octobre 18 2008, 21:01 par petite

très pratique la fonctionnalité qui permet de fermer des onglets qui ne sont pas actifs :)

22. Le lundi, novembre 3 2008, 22:02 par M.Contact

Bonjour,

J’ai noté un intérêt particulier pour votre blog. Voici un lien intéressant qui vous permettra d’augmenter la porté de celui-ci : www.clickcontact.com.

Copier coller le flux RSS de votre blog dans votre page profil Click Contact, et profitez de cette opportunité pour diversifier votre réseau de contact.

Amicalement vôtre

M.Contact

www.clickcontact.com/mcontact

La discussion continue ailleurs

1. Le dimanche, octobre 1 2006, 21:05 par Le blog de LostInBrittany

Firefox 2.0 rc1 sur Ubuntu

Comme d'habitude lorsque il y a des nouveautés côté Firefox, ces dernier jours j'ai parlé un petit peu de la première release candidate de Firefox 2.0. Comme d'habitude aussi, j'étais à l'attente d'un paquet Ubuntu pour actualiser la version...